namespace SpreadWInformsCSVIO
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private string mFileName = null;

        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter = "CSV file (*.csv)|*.csv| All Files (*.*)|*.*";
            ofd.FilterIndex = 0;
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                mFileName = ofd.FileName;
                fpSpread1.Sheets[0].LoadTextFile(mFileName, FarPoint.Win.Spread.TextFileFlags.None, FarPoint.Win.Spread.Model.IncludeHeaders.None, "", ",", "");
                saveToolStripMenuItem.Enabled = true;
            }
        }

        private void saveToolStripMenuItem_Click(object sender, EventArgs e)
        {
            fpSpread1.Sheets[0].SaveTextFile(mFileName, FarPoint.Win.Spread.TextFileFlags.None, FarPoint.Win.Spread.Model.IncludeHeaders.None, "", ",", "");
        }

        private void saveAsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            SaveFileDialog sfd = new SaveFileDialog();
            sfd.Filter = "CSV file (*.csv)|*.csv| All Files (*.*)|*.*";
            sfd.FilterIndex = 0;
            sfd.FileName = mFileName;
            if (sfd.ShowDialog() == DialogResult.OK)
            {
                mFileName = sfd.FileName;
                fpSpread1.Sheets[0].SaveTextFile(mFileName, FarPoint.Win.Spread.TextFileFlags.None, FarPoint.Win.Spread.Model.IncludeHeaders.None, "", ",", "");
                saveToolStripMenuItem.Enabled = true;
            }
        }

        private void designToolStripMenuItem_Click(object sender, EventArgs e)
        {
            fpSpreadDesigner1.ShowDialog(fpSpread1);
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            DialogResult ret = MessageBox.Show("Do you want to save this file before closing?", "Save Spreadsheet", MessageBoxButtons.YesNoCancel);
            if (ret == DialogResult.Cancel)
                return;
            else if (ret == DialogResult.Yes)
                saveToolStripMenuItem_Click(null, EventArgs.Empty);
            Close();
        }
    }
}